Skip to content

Create invite

Request

Creates and sends an invite to the given email address. Returns the created invite, including its ID for use in the cancel endpoint.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
Bodyapplication/jsonrequired
emailstring, (email)required

The email address to send the invite to.

Example:"jane.doe@example.com"
role_idstring, (uuid)required

The ID of the role to assign to the invitee. Must belong to the business.

Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
payment_typesArray of strings, non-empty(PaymentType)required

The payment types the invitee will have access to. Must be a non-empty list.

Items Enum:"bills""cards""reimbursements"
Example:
[ "cards", "reimbursements" ]
POST
/v1/businesses/{client_id}/invites
curl -i -X POST \
  https://public.letsweel.com/v1/businesses/123/invites \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "jane.doe@example.com",
    "role_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "payment_types": [
      "cards",
      "reimbursements"
    ]
  }'

Responses

Created

Bodyapplication/json
idinteger

The ID of the invite.

Example:99
emailstring, (email)

The email address the invite was sent to.

Example:"jane.doe@example.com"
role_idstring, (uuid)

The ID of the role assigned to the invitee.

Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
rolestring

The name of the role assigned to the invitee.

Example:"Team Member"
payment_typesArray of strings(PaymentType)

The payment types the invitee will have access to.

Items Enum:"bills""cards""reimbursements"
Example:
[ "cards", "reimbursements" ]
usedboolean

Whether the invite has been accepted.

Example:false
createdstring, (date-time)

The date and time the invite was created in UTC.

Example:"2026-05-01T00:00:00Z"
updatedstring, (date-time)

The date and time the invite was last updated in UTC.

Example:"2026-05-01T00:00:00Z"
Response
{ "id": 99, "email": "jane.doe@example.com", "role_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "role": "Team Member", "payment_types": [ "cards", "reimbursements" ], "used": false, "created": "2026-05-01T00:00:00Z", "updated": "2026-05-01T00:00:00Z" }